Eclipse Remote Application Platform

## org.eclipse.swt.widgets
Class Monitor

    java.lang.Object
      org.eclipse.swt.widgets.Monitor

    public final class Monitor

extends java.lang.Object

Instances of this class are descriptions of monitors.

Since:
  1.2
See Also:
  `Display`

Method Summary
`Rectangle` `getBounds()` Returns a rectangle describing the receiver's size and location relative to its device.
`Rectangle` `getClientArea()` Returns a rectangle which describes the area of the receiver which is capable of displaying data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBounds

    public Rectangle getBounds()

  Returns a rectangle describing the receiver's size and location relative to its device. Note that on multi-monitor systems the origin can be negative.

  Returns:
    the receiver's bounding rectangle

### getClientArea

    public Rectangle getClientArea()

  Returns a rectangle which describes the area of the receiver which is capable of displaying data.

  Returns:
    the client area

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0